package com.enteprise.matchAnalysis.domain.dto;

import com.enteprise.common.annotation.Excel;
import com.enteprise.util.CustomExcelHandler;

public class MatchDto {

    @Excel(name = "企业名称")
    private String enterpriseName;

    @Excel(name = "相差值",  handler = CustomExcelHandler.class)
    private double trueThreshold;

    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    private String typeNum;
    @Excel(name = "企业分类")
    private String typeName;

    public MatchDto(String enterpriseName, double trueThreshold, String location, String code, String typeNum, String typeName) {
        this.enterpriseName = enterpriseName;
        this.trueThreshold = trueThreshold;
        this.location = location;
        this.code = code;
        this.typeNum = typeNum;
        this.typeName = typeName;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public double getTrueThreshold() {
        return trueThreshold;
    }

    public void setTrueThreshold(double trueThreshold) {
        this.trueThreshold = trueThreshold;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTypeNum() {
        return typeNum;
    }

    public void setTypeNum(String typeNum) {
        this.typeNum = typeNum;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
